javax.swing.plaf.basic

## Class BasicSplitPaneUI.KeyboardDownRightHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicSplitPaneUI.KeyboardDownRightHandler

All Implemented Interfaces:
  ActionListener, EventListener

Enclosing class:
  BasicSplitPaneUI

    public class BasicSplitPaneUI.KeyboardDownRightHandler
    extends Object
    implements ActionListener

Implementation of an ActionListener that the JSplitPane UI uses for handling specific key presses.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

### Constructor Summary

Constructors
Constructor and Description
`BasicSplitPaneUI.KeyboardDownRightHandler()`

### Method Summary

Methods
`void` `actionPerformed(ActionEvent ev)` Invoked when an action occurs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicSplitPaneUI.KeyboardDownRightHandler

    public BasicSplitPaneUI.KeyboardDownRightHandler()

### Method Detail

#### actionPerformed

    public void actionPerformed(ActionEvent ev)

Description copied from interface: `ActionListener`
Invoked when an action occurs.

Specified by:
  `actionPerformed` in interface `ActionListener`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.